dbXML API

## org.dbxml.core.objects
Interface Args

All Known Implementing Classes:
  ElementArgs, MapArgs

public interface Args

Args exposes a set of named Variants. Args is useful in defining XMLObject methods that have a variable number of arguments. An Args instance is read-only.

Method Summary
`Variant` `get(java.lang.String name)` get returns a Variant argument by name, or null of the argumnet doesn't exist.
`java.lang.String[]` `list()` list returns a String array containing the names of the arguments being stored by the args instance.

Method Detail

### list

    public java.lang.String[] list()

  list returns a String array containing the names of the arguments being stored by the args instance.
  Returns:
    The argument names

### get

    public Variant get(java.lang.String name)

  get returns a Variant argument by name, or null of the argumnet doesn't exist.
  Parameters:
    `name` - The argument name
  Returns:
    The argument value

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved